GXV++(1)

NAME
gxv++ - generate C++ and XView source code for user interface elements described in a GIL file

SYNOPSIS
gxv++ [ options ] filename

DESCRIPTION

gxv++ reads a Graphical Interface Language (GIL) file created by OpenWindows Developer's Guide, a user interface design editor. As it reads, gxv++ generates C++ and XView source code for the OpenWindows user interface elements.

Note that GIL files all end with a .G extension. gxv++ allows you to specify the filename with or without the extension: both filename.G and filename are acceptable names to specify filename.G to gxv++.

OPTIONS

-s [-silent]
    Sets gxv++ so it works silently, producing no messages while generating source code.

-v [-verbose]
    Sets gxv++ so it is verbose, producing a message each time it generates source code for a user interface element.

-n [-nomerge]
    Prohibits gxv++ from merging existing and new _stubs.c files.

-p [-project] myproj
    Sets gxv++ so it will generate code for project myproj

-m [-main]
    Sets gxv++ so that it only generates source code for main() and any common callback functions in the project.c file. Only works with the -p option present.

-csuffix s
    Set the suffix to use for C++ source files [cc].

-hsuffix s
    Set the suffix to use for C++ header files [h].

-h [-helpfile]
    Sets gxv++ so it generates only the help text file (the .info file).

-i [-i18n]
    Sets gxv++ so that is generates code for internationalization. This option sets the -g and -r options discussed below.

-g [-gettext]
    Sets gxv++ so that it generates dgettext string wrappers for internationalization.

-d [-domain] mydomainname
    Sets gxv so it will use mydomainname when generating dgettext string wrappers. This overrides the default domain name of filename_labels.

-r  Sets gxv++ so that is generates XView XV_USE_DB attributes for internationalization.

-x [-xdb]
    Sets gxv++ so that it creates an X resource database for internationlization (the .db file).

-? [-help]
    Print out a help message explaining all gxv++ options.

FILES

filename_ui.cc
    The primary source code file, containing member function definitions for initialization and creation functions of user interface elements.

filename_ui.h
    Contains declarations and class definitions for all user interface elements.

filename_stubs.cc
    Contains callback function templates for the element handlers specified in the user interface.

project.cc
    If gxv++ is generating code for a project, this file will contain the main() plus any callback functions that are common across interfaces.

project.h
    If gxv++ is generating code for a project, this file will contain declarations for any callback functions that are common across interfaces.

filename.info
    Contains help text attached to user interface elements. Makefile, which controls the source code compile.

SEE ALSO

The OpenWindows Developer's Guide User's Manual

DIAGNOSTICS

gxv++: reading interface.G
    gxv++ is reading the GIL file.

gxv++: writing interface_ui.cc
    gxv++ is generating the _ui.cc source code file.

gxv++: writing interface_ui.h
    gxv++ is generating the _ui.h source code file.

gxv++: writing interface_stubs.cc
    gxv++ is generating the _stubs.cc source code file.

gxv++: writing project.cc
    gxv++ is generating the project.cc source code file.

gxv++: writing project.h
    gxv++ is generating the project.h source code file.

gxv++: writing interface.info
    gxv++ is generating the .info help text file.

gxv++: writing Makefile
    gxv++ is generating a Makefile for the generated interface source code.

gxv++: skipping Makefile
    gxv++ detects an existing Makefile in the current directory and so is not generating a new Makefile.

gxv++: object NAME: attribute ATTRIBUTE: cannot find string
    gxv++ can't find a string it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find integer
    gxv++ can't find an integer it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find boolean
    gxv++ can't find a Boolean setting it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find keyword
    gxv++ can't find a keyword it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find start of list
    gxv++ can't find the beginning of a list it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find start of name
    gxv++ can't find the beginning of a name it expects to describe an attribute of a user interface element described in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: cannot find start of object
    gxv++ doesn't find an open parenthesis at the beginning of an object definition in the GIL file.

gxv++: object NAME: attribute ATTRIBUTE: unexpected end-of-file
    gxv++ encounters a truncated GIL file or a GIL file that doesn't end with the proper file structure.

gxv++: object NAME: attribute ATTRIBUTE: unknown file format
    gxv++ encounters a GIL file missing the file header information that identifies it as a GIL file.

gxv++: object NAME: attribute ATTRIBUTE: unknown value
    gxv++ finds an attribute in a GIL file that it doesn't recognize, or encounters an attribute value that is not appropriate for that attribute.

gxv++: object NAME: attribute ATTRIBUTE: unknown object
    gxv++ encounters an element that specifies an owner that doesn't exist.

gxv++: object NAME: attribute ATTRIBUTE: not a valid C identifier
    gxv++ encounters an object name that is an illegal identifier in C.

gxv++: object NAME: attribute ATTRIBUTE: WARNING, not a C identifier, ignored
    gxv++ encounters a special handler in quotes and ignores it.

BUGS

None